DCMTK - Bug #46

Speicherleck in DcmQueryRetrieveConfig-Klasse
2011-11-01 00:00 - Michael Onken

Status: Closed Start date:

Priority: High Due date:

Assignee: % Done: 100%
Category: Estimated time: 0:00 hour

Target version:

Module: dcmardb Compiler:

Operating System:

Description

"Reports of memory leaks in the DcmQueryRetrieveConfig class, and after reviewing they seem founded, as memory allocated by
the readAETable method for example is never freed (the CNF_Config member)." See [[
http://forum.dcmtk.org/viewtopic.php?p=12566#12566|forum entry by st80rules]]

History

#1 - 2015-01-15 12:30 - Michael Onken

- Private changed from No to Yes

#2 - 2015-01-15 13:46 - Michael Onken

- Private changed from Yes to No
